LLVM: lldb::SBBreakpoint Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
lldb::SBBreakpoint Class Reference

`#include <SBBreakpoint.h>`

## Public Types
typedef bool(* | BreakpointHitCallback )(void *baton, SBProcess &process, SBThread &thread, lldb::SBBreakpointLocation &location)

## Public Member Functions
| SBBreakpoint ()
| SBBreakpoint (const lldb::SBBreakpoint &rhs)
| ~SBBreakpoint ()
const lldb::SBBreakpoint & | operator= (const lldb::SBBreakpoint &rhs)
bool | operator== (const lldb::SBBreakpoint &rhs)
bool | operator!= (const lldb::SBBreakpoint &rhs)
break_id_t | GetID () const
bool | IsValid () const
void | ClearAllBreakpointSites ()
lldb::SBBreakpointLocation | FindLocationByAddress (lldb::addr_t vm_addr)
lldb::break_id_t | FindLocationIDByAddress (lldb::addr_t vm_addr)
lldb::SBBreakpointLocation | FindLocationByID (lldb::break_id_t bp_loc_id)
lldb::SBBreakpointLocation | GetLocationAtIndex (uint32_t index)
void | SetEnabled (bool enable)
bool | IsEnabled ()
void | SetOneShot (bool one_shot)
bool | IsOneShot () const
bool | IsInternal ()
uint32_t | GetHitCount () const
void | SetIgnoreCount (uint32_t count)
uint32_t | GetIgnoreCount () const
void | SetCondition (const char *condition)
const char * | GetCondition ()
void | SetThreadID (lldb::tid_t sb_thread_id)
lldb::tid_t | GetThreadID ()
void | SetThreadIndex (uint32_t index)
uint32_t | GetThreadIndex () const
void | SetThreadName (const char *thread_name)
const char * | GetThreadName () const
void | SetQueueName (const char *queue_name)
const char * | GetQueueName () const
void | SetCallback (BreakpointHitCallback callback, void *baton)
void | SetScriptCallbackFunction (const char *callback_function_name)
void | SetCommandLineCommands (SBStringList &commands)
bool | GetCommandLineCommands (SBStringList &commands)
SBError | SetScriptCallbackBody (const char *script_body_text)
bool | AddName (const char *new_name)
void | RemoveName (const char *name_to_remove)
bool | MatchesName (const char *name)
void | GetNames (SBStringList &names)
size_t | GetNumResolvedLocations () const
size_t | GetNumLocations () const
bool | GetDescription (lldb::SBStream &description)
bool | GetDescription (lldb::SBStream &description, bool include_locations)

## Static Public Member Functions
static bool | EventIsBreakpointEvent (const lldb::SBEvent &event)
static lldb::BreakpointEventType | GetBreakpointEventTypeFromEvent (const lldb::SBEvent &event)
static lldb::SBBreakpoint | GetBreakpointFromEvent (const lldb::SBEvent &event)
static lldb::SBBreakpointLocation | GetBreakpointLocationAtIndexFromEvent (const lldb::SBEvent &event, uint32_t loc_idx)
static uint32_t | GetNumBreakpointLocationsFromEvent (const lldb::SBEvent &event_sp)

## Friends
class | SBBreakpointList
class | SBBreakpointLocation
class | SBTarget

## Detailed Description

Definition at line 17 of file SBBreakpoint.h.

## Member Typedef Documentation

typedef bool(* lldb::SBBreakpoint::BreakpointHitCallback)(void *baton, SBProcess &process, SBThread &thread, lldb::SBBreakpointLocation &location)

Definition at line 19 of file SBBreakpoint.h.

## Constructor & Destructor Documentation

lldb::SBBreakpoint::SBBreakpoint | ( |  | ) |

lldb::SBBreakpoint::SBBreakpoint | ( | const lldb::SBBreakpoint & | rhs | ) |

lldb::SBBreakpoint::~SBBreakpoint | ( |  | ) |

## Member Function Documentation

bool lldb::SBBreakpoint::AddName | ( | const char * | new_name | ) |

void lldb::SBBreakpoint::ClearAllBreakpointSites | ( |  | ) |

static bool lldb::SBBreakpoint::EventIsBreakpointEvent | ( | const lldb::SBEvent & | event | ) |
| static

lldb::SBBreakpointLocation lldb::SBBreakpoint::FindLocationByAddress | ( | lldb::addr_t | vm_addr | ) |

lldb::SBBreakpointLocation lldb::SBBreakpoint::FindLocationByID | ( | lldb::break_id_t | bp_loc_id | ) |

lldb::break_id_t lldb::SBBreakpoint::FindLocationIDByAddress | ( | lldb::addr_t | vm_addr | ) |

static lldb::BreakpointEventType lldb::SBBreakpoint::GetBreakpointEventTypeFromEvent | ( | const lldb::SBEvent & | event | ) |
| static

static lldb::SBBreakpoint lldb::SBBreakpoint::GetBreakpointFromEvent | ( | const lldb::SBEvent & | event | ) |
| static

static lldb::SBBreakpointLocation lldb::SBBreakpoint::GetBreakpointLocationAtIndexFromEvent | ( | const lldb::SBEvent & | event,
|  | uint32_t | loc_idx
| ) |  |
| static

bool lldb::SBBreakpoint::GetCommandLineCommands | ( | SBStringList & | commands | ) |

const char* lldb::SBBreakpoint::GetCondition | ( |  | ) |

bool lldb::SBBreakpoint::GetDescription | ( | lldb::SBStream & | description | ) |

bool lldb::SBBreakpoint::GetDescription | ( | lldb::SBStream & | description,
|  | bool | include_locations
| ) |  |

uint32_t lldb::SBBreakpoint::GetHitCount | ( |  | ) | const

break_id_t lldb::SBBreakpoint::GetID | ( |  | ) | const

uint32_t lldb::SBBreakpoint::GetIgnoreCount | ( |  | ) | const

lldb::SBBreakpointLocation lldb::SBBreakpoint::GetLocationAtIndex | ( | uint32_t | index | ) |

void lldb::SBBreakpoint::GetNames | ( | SBStringList & | names | ) |

static uint32_t lldb::SBBreakpoint::GetNumBreakpointLocationsFromEvent | ( | const lldb::SBEvent & | event_sp | ) |
| static

size_t lldb::SBBreakpoint::GetNumLocations | ( |  | ) | const

size_t lldb::SBBreakpoint::GetNumResolvedLocations | ( |  | ) | const

const char* lldb::SBBreakpoint::GetQueueName | ( |  | ) | const

lldb::tid_t lldb::SBBreakpoint::GetThreadID | ( |  | ) |

uint32_t lldb::SBBreakpoint::GetThreadIndex | ( |  | ) | const

const char* lldb::SBBreakpoint::GetThreadName | ( |  | ) | const

bool lldb::SBBreakpoint::IsEnabled | ( |  | ) |

bool lldb::SBBreakpoint::IsInternal | ( |  | ) |

bool lldb::SBBreakpoint::IsOneShot | ( |  | ) | const

bool lldb::SBBreakpoint::IsValid | ( |  | ) | const

bool lldb::SBBreakpoint::MatchesName | ( | const char * | name | ) |

bool lldb::SBBreakpoint::operator!= | ( | const lldb::SBBreakpoint & | rhs | ) |

const lldb::SBBreakpoint& lldb::SBBreakpoint::operator= | ( | const lldb::SBBreakpoint & | rhs | ) |

bool lldb::SBBreakpoint::operator== | ( | const lldb::SBBreakpoint & | rhs | ) |

void lldb::SBBreakpoint::RemoveName | ( | const char * | name_to_remove | ) |

void lldb::SBBreakpoint::SetCallback | ( | BreakpointHitCallback | callback,
|  | void * | baton
| ) |  |

void lldb::SBBreakpoint::SetCommandLineCommands | ( | SBStringList & | commands | ) |

void lldb::SBBreakpoint::SetCondition | ( | const char * | condition | ) |

void lldb::SBBreakpoint::SetEnabled | ( | bool | enable | ) |

void lldb::SBBreakpoint::SetIgnoreCount | ( | uint32_t | count | ) |

void lldb::SBBreakpoint::SetOneShot | ( | bool | one_shot | ) |

void lldb::SBBreakpoint::SetQueueName | ( | const char * | queue_name | ) |

SBError lldb::SBBreakpoint::SetScriptCallbackBody | ( | const char * | script_body_text | ) |

void lldb::SBBreakpoint::SetScriptCallbackFunction | ( | const char * | callback_function_name | ) |

void lldb::SBBreakpoint::SetThreadID | ( | lldb::tid_t | sb_thread_id | ) |

void lldb::SBBreakpoint::SetThreadIndex | ( | uint32_t | index | ) |

void lldb::SBBreakpoint::SetThreadName | ( | const char * | thread_name | ) |

## Friends And Related Function Documentation

friend class SBBreakpointList
| friend

Definition at line 128 of file SBBreakpoint.h.

friend class SBBreakpointLocation
| friend

Definition at line 129 of file SBBreakpoint.h.

friend class SBTarget
| friend

Definition at line 130 of file SBBreakpoint.h.

The documentation for this class was generated from the following file:

- SBBreakpoint.h